> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Reports

This request can be used to list all reports. The list of objects is sorted in descending order by creation date, with the most recently created object appearing first.


## OpenAPI

````yaml openapi/reports/list-all-reports.json GET /reports/list
openapi: 3.1.0
info:
  title: reports-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /reports/list:
    get:
      summary: List All Reports
      operationId: list-all-reports
      parameters:
        - name: X-Organization-Code
          in: header
          required: true
          schema:
            type: string
          description: Organization code associated to the request.
        - name: account_id
          in: query
          description: >-
            The unique identifier of the account.To request the creation of a
            report for all accounts, don't send this parameter. Otherwise
            indicate all the account_id you want to include (MAX 64; MIN 36).
          schema:
            type: string
        - name: page_size
          in: query
          description: >-
            Limit of reports to retrieve. Default 1 and maximum 99 (MAX 2; MIN
            1).
          schema:
            type: integer
            format: int32
        - name: page_number
          in: query
          required: false
          description: Reports start page. Default 1 and maximum 10  (MAX 2; MIN 1).
          schema:
            type: integer
            format: int32
            default: ''
        - name: start_date
          in: query
          description: Reports created after and equal this date (ISO 8601 MAX 27; MIN 27).
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: >-
            Reports created before and equal this date (ISO 8601 MAX 27; MIN
            27).
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - id: 5104911d-5df9-229e-8468-bd41abea1
                      type: TRANSACTIONS
                      start_date: '2022-05-09T20:46:54.786342Z'
                      end_date: '2022-05-09T20:46:54.786342Z'
                      merchant_reference_id: Merchant_report_1234
                      created_at: '2022-05-16T20:46:54.786342Z'
                      updated_at: '2022-05-16T20:46:54.786342Z'
                      expires_at: '2022-05-16T20:46:54.786342Z'
                      status: SUCCEEDED
                    - id: 5104911d-5df9-229e-8468-bd41abea1
                      type: SETTLEMENTS
                      start_date: '2022-05-09T20:46:54.786342Z'
                      end_date: '2022-05-09T20:46:54.786342Z'
                      merchant_reference_id: Merchant_report_1234
                      created_at: '2022-05-16T20:46:54.786342Z'
                      updated_at: '2022-05-16T20:46:54.786342Z'
                      expires_at: '2022-05-16T20:46:54.786342Z'
                      status: DOWNLOADED
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: 5104911d-5df9-229e-8468-bd41abea1
                    type:
                      type: string
                      example: TRANSACTIONS
                    start_date:
                      type: string
                      example: '2022-05-09T20:46:54.786342Z'
                    end_date:
                      type: string
                      example: '2022-05-09T20:46:54.786342Z'
                    merchant_reference_id:
                      type: string
                      example: Merchant_report_1234
                    created_at:
                      type: string
                      example: '2022-05-16T20:46:54.786342Z'
                    updated_at:
                      type: string
                      example: '2022-05-16T20:46:54.786342Z'
                    expires_at:
                      type: string
                      example: '2022-05-16T20:46:54.786342Z'
                    status:
                      type: string
                      example: SUCCEEDED
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Bad Request:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````